﻿// ***********************************************************************
// Solution         : KC.Foundation
// Project          : KC.Foundation
// File             : IProperty.cs
// Modified         : 2017-04-17  3:06 PM
// ***********************************************************************
// <copyright>
//     Copyright © 2016 - 2018 Kolibre Credit Team. All rights reserved.
// </copyright>
// ***********************************************************************

using System;

#pragma warning disable 1591

namespace KC.Foundation.Reflection
{
    /// <summary>
    ///     Simple abstraction to make field and property access consistent
    /// </summary>
    public interface IProperty
    {
        string Name { get; }

        Type PropertyType { get; }

        object GetValue(object obj, object[] index);

        void SetValue(object obj, object val, object[] index);
    }
}