﻿// ***********************************************************************
// Solution         : KC.Foundation
// Project          : KC.Foundation
// File             : RequestContextAccessor.cs
// Updated          : 2017-10-02 6:35 PM
// ***********************************************************************
// <copyright>
//     Copyright © 2016 - 2018 Kolibre Credit Team. All rights reserved.
// </copyright>
// ***********************************************************************

using System.Threading;

namespace KC.Foundation
{
    public class RequestContextAccessor : IRequestContextAccessor
    {
        private static readonly AsyncLocal<RequestContext> s_requestContextCurrent = new AsyncLocal<RequestContext>();

        #region IRequestContextAccessor Members

        public RequestContext Request
        {
            get => s_requestContextCurrent.Value;
            set => s_requestContextCurrent.Value = value;
        }

        #endregion
    }
}